summaryrefslogtreecommitdiff
path: root/scripts/linux
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/linux')
-rwxr-xr-xscripts/linux/install.sh2
-rwxr-xr-xscripts/linux/run.sh28
-rwxr-xr-xscripts/linux/setup.sh30
3 files changed, 30 insertions, 30 deletions
diff --git a/scripts/linux/install.sh b/scripts/linux/install.sh
index a6ffacf5fe..1504da2a1f 100755
--- a/scripts/linux/install.sh
+++ b/scripts/linux/install.sh
@@ -3,8 +3,6 @@
set -e
set -o pipefail
-source ./scripts/travis_helper.sh
-
mapbox_time "checkout_mason" \
git submodule update --init .mason
export PATH="`pwd`/.mason:${PATH}" MASON_DIR="`pwd`/.mason"
diff --git a/scripts/linux/run.sh b/scripts/linux/run.sh
index c4731b97ec..e6ddfc9814 100755
--- a/scripts/linux/run.sh
+++ b/scripts/linux/run.sh
@@ -5,34 +5,6 @@ set -o pipefail
BUILDTYPE=${BUILDTYPE:-Release}
-source ./scripts/travis_helper.sh
-
-# Add Mason to PATH
-export PATH="`pwd`/.mason:${PATH}" MASON_DIR="`pwd`/.mason"
-
-# Set the core file limit to unlimited so a core file is generated upon crash
-ulimit -c unlimited -S
-
-################################################################################
-# X Server setup
-################################################################################
-
-# Start the mock X server
-if [ -f /etc/init.d/xvfb ] ; then
- mapbox_time "start_xvfb" \
- sh -e /etc/init.d/xvfb start
- sleep 2 # sometimes, xvfb takes some time to start up
-fi
-
-# Make sure we're connecting to xvfb
-export DISPLAY=:99.0
-
-# Make sure we're loading the 10.4.3 libs we installed manually
-export LD_LIBRARY_PATH="`mason prefix mesa 10.4.3`/lib:${LD_LIBRARY_PATH:-}"
-
-mapbox_time "glxinfo" \
-glxinfo
-
################################################################################
# Build
################################################################################
diff --git a/scripts/linux/setup.sh b/scripts/linux/setup.sh
new file mode 100755
index 0000000000..f4d2eb7e7d
--- /dev/null
+++ b/scripts/linux/setup.sh
@@ -0,0 +1,30 @@
+#!/usr/bin/env bash
+
+set -e
+set -o pipefail
+
+# Add Mason to PATH
+export PATH="`pwd`/.mason:${PATH}" MASON_DIR="`pwd`/.mason"
+
+# Set the core file limit to unlimited so a core file is generated upon crash
+ulimit -c unlimited -S
+
+################################################################################
+# X Server setup
+################################################################################
+
+# Start the mock X server
+if [ -f /etc/init.d/xvfb ] ; then
+ mapbox_time "start_xvfb" \
+ sh -e /etc/init.d/xvfb start
+ sleep 2 # sometimes, xvfb takes some time to start up
+fi
+
+# Make sure we're connecting to xvfb
+export DISPLAY=:99.0
+
+# Make sure we're loading the 10.4.3 libs we installed manually
+export LD_LIBRARY_PATH="`mason prefix mesa 10.4.3`/lib:${LD_LIBRARY_PATH:-}"
+
+mapbox_time "glxinfo" \
+glxinfo